version: "{build}"

environment:
  matrix:
    - nodejs_version: "10"
    - nodejs_version: "12"
    - nodejs_version: "14"

matrix:
  fast_finish: true

install:
  # Install Node.js
  - ps: Install-Product node $env:nodejs_version x64

  # Output our current versions for debugging
  - node --version
  - npm --version

  # Install our package dependencies
  - appveyor-retry npm install

  # Install our current directory as a dependency of itself
  - npm run init:windows

test_script:
  - npm run test:appveyor

build: off

notifications:
  - provider: GitHubPullRequest
    auth_token:
      secure: EsLCrNVrISCIxbBSTorZ5uxFQf/zRaLNznqYPWQ0LBEl2KG2IgCFRnjiNKpTfTDs
    template: "{{#passed}}:white_check_mark:{{/passed}}{{#failed}}:x:{{/failed}} [Build {{&projectName}} {{buildVersion}} {{status}}]({{buildUrl}}) (commit {{commitUrl}} by @{{&commitAuthorUsername}})"

